> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update security settings

> Developer API operation for PATCH /dev/v1/security.



## OpenAPI

````yaml /openapi.json patch /dev/v1/security
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/security:
    patch:
      tags:
        - Security
      summary: Update security settings
      description: Developer API operation for PATCH /dev/v1/security.
      operationId: patchDevV1Security
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                auto_blacklist_on_failures:
                  type: boolean
                failure_threshold:
                  type: integer
                  minimum: 1
                  maximum: 100
                failure_window_minutes:
                  type: integer
                  minimum: 5
                  maximum: 1440
                auto_blacklist_on_disputes:
                  type: boolean
              example:
                auto_blacklist_on_failures: true
                failure_threshold: 3
                failure_window_minutes: 60
                auto_blacklist_on_disputes: true
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                auto_blacklist_on_failures:
                  type: boolean
                failure_threshold:
                  type: integer
                  minimum: 1
                  maximum: 100
                failure_window_minutes:
                  type: integer
                  minimum: 5
                  maximum: 1440
                auto_blacklist_on_disputes:
                  type: boolean
              example:
                auto_blacklist_on_failures: true
                failure_threshold: 3
                failure_window_minutes: 60
                auto_blacklist_on_disputes: true
          multipart/form-data:
            schema:
              type: object
              properties:
                auto_blacklist_on_failures:
                  type: boolean
                failure_threshold:
                  type: integer
                  minimum: 1
                  maximum: 100
                failure_window_minutes:
                  type: integer
                  minimum: 5
                  maximum: 1440
                auto_blacklist_on_disputes:
                  type: boolean
              example:
                auto_blacklist_on_failures: true
                failure_threshold: 3
                failure_window_minutes: 60
                auto_blacklist_on_disputes: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                example:
                  data:
                    settings:
                      auto_blacklist_on_failures: true
                      failure_threshold: 3
                      failure_window_minutes: 60
                      auto_blacklist_on_disputes: true
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````